%global momorel 2
%global artsver 1.5.10
%global artsrel 1m
%global qtver 3.3.7
%global kdever 3.5.10
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary: A BibTeX editor for KDE
Name: kbibtex
Version: 0.2.3
Release: %{momorel}m%{?dist}
License: GPLv2
Group: Applications/Editors
URL: http://www.unix-ag.uni-kl.de/~fischer/kbibtex/
Source0: http://www.unix-ag.uni-kl.de/~fischer/%{name}/download/%{name}-%{version}.tar.bz2
NoSource: 0
Patch0: %{name}-0.2.1-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs3 >= %{kdever}-%{kdelibsrel}
BuildRequires: qt3-devel >= %{qtver}
BuildRequires: arts-devel >= %{artsver}-%{artsrel}
BuildRequires: kdelibs3-devel >= %{kdever}-%{kdelibsrel}
BuildRequires: libxslt-devel
BuildRequires: libutempter-devel
BuildRequires: libxml2

%description
KBibTeX is a BibTeX editor for KDE.

%prep
%setup -q

%patch0 -p1 -b .desktop~

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--with-qt-libraries=%{qtdir}/lib \
	--with-extra-includes=%{_includedir}/kde \
	--with-extra-libs=%{_libdir}/kde3 \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# link icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/%{name}
%{_libdir}/kde3/lib%{name}part.la
%{_libdir}/kde3/lib%{name}part.so
%{_datadir}/applications/kde/%{name}.desktop
%{_datadir}/apps/%{name}
%{_datadir}/apps/%{name}part
%{_datadir}/doc/HTML/*/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_mandir}/man1/%{name}.1*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/services/%{name}_part.desktop

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.3-2m)
- full rebuild for mo7 release

* Wed May 12 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.3-1m)
- version 0.2.3

* Fri Apr 23 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.2-4m)
- touch up spec file

* Sun Nov 15 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.2.2-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Jun 15 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.2-2m)
- switch to new tar-ball

* Sun Jun 14 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.2-1m)
- version 0.2.2

* Tue Feb 17 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2.2-0.2.1m)
- update to 0.2.1.91 (0.2.2 beta2)

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.2.1-4m)
- rebuild against rpm-4.6

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2.1-3m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.1-2m)
- rebuild against gcc43

* Mon Mar 24 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.1-1m)
- version 0.2.1
- update dekstop.patch

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2-3m)
- specify KDE3 headers and libs
- modify Requires and BuildRequires

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2-2m)
- %%NoSource -> NoSource

* Wed Nov 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2-1m)
- version 0.2
- clean up merged upstream patches
- update desktop.patch
- License: GPLv2

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.5-1m)
- initial package for Momonga Linux
